﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace AbortThread
{
    class Program
    {
        static void Main(string[] args)
        {
            Demo obj = new Demo();
            ThreadStart del = new ThreadStart(obj.TestMethod);
            Thread thread = new Thread(del);
            Console.WriteLine("Thread wird jetzt gestartet");
            // Sekundärthread starten
            thread.Start();
            Console.WriteLine("Thread ist gestartet");
            Thread.Sleep(200);
            // der sekundäre Thread wird durch den Primärthread mit 
            // der Methode Abort zerstört
            thread.Abort();
            Thread.Sleep(100);
            if (thread.IsAlive)
                Console.WriteLine("Der Sek.-Thread lebt noch");
            else
                Console.WriteLine("Der Sek.-Thread ist aufgegeben");
            Thread.Sleep(5000);
        }
    }
    class Demo
    {
        public void TestMethod()
        {
            try
            {
                Console.WriteLine("Sek.-Thread gestartet.");
                // die Schleife zwingt Thread eine länger andauernde Ausführung auf
                for (int i = 0; i <= 100; i++)
                {
                    Console.WriteLine("Sek.-Thread-Zähler = {0}", i);
                    Thread.Sleep(50);
                }
            }
            catch (ThreadAbortException ex)
            {
                Console.WriteLine("Sek.-Thread/im Catch-Block");
            }
            finally
            {
                Console.WriteLine("Sek.-Thread/in Finally");
            }
            Console.WriteLine("Sek.-Thread/nach Finally");
            for (int i = 0; i <= 20; i++)
            {
                Console.Write(".");
                Thread.Sleep(50);
            }
        }
    }

}
